summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndre Przywara <andre.przywara@arm.com>2016-02-03 23:44:36 +0000
committerAndre Przywara <andre.przywara@arm.com>2016-02-04 09:00:42 +0000
commit90fc243e9256775c85f8763e8fa1b2b59e67d0ce (patch)
tree4293050433bd6237830ec824e8334a90bf400af4 /tools
parent14b6608c9a2eba27ef36cc3e0806c9fa6d5555b0 (diff)
Merge in files from Allwinners lichee BSP tarball
The Pine64 Wiki[1] links to a BSP tarball, among other things containing a dump of an ARM Trusted Firmware source tree with Allwinner changes on top. Since the tarball does not contain any version history information about the changes, this commit is just the diff between the ATF 1.0 release and the files from the Allwinner provided tarball. The executable flag from many source has been removed. [1] http://wiki.pine64.org/index.php/Pine_A64_Software_Release#Linux_BSP_Related
Diffstat (limited to 'tools')
-rwxr-xr-xtools/add_hash_bl31.sh51
-rw-r--r--tools/fip_create/Makefile4
2 files changed, 54 insertions, 1 deletions
diff --git a/tools/add_hash_bl31.sh b/tools/add_hash_bl31.sh
new file mode 100755
index 0000000..1814460
--- /dev/null
+++ b/tools/add_hash_bl31.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+set -e
+
+BUILD_FILE=bl31.bin
+BUILD_MODE=bl31
+
+show_help()
+{
+ printf "\n add_hash.sh - add git log hash value into uboot,boot0,sboot,fes \n"
+ echo " eg :"
+ echo " ./add_hash.sh -f input_file -m file_flag "
+ echo " file_flag = uboot or boot0 or sboot"
+ printf "\n\n"
+}
+
+
+build_bl31()
+{
+ dd if=./${BUILD_FILE} of=./bl31_back bs=48 count=1 status=noxfer 2> /dev/null
+ dd if=./cur.log of=./bl31_back ibs=64 conv=notrunc,sync oflag=append obs=64 count=1 status=noxfer 2> /dev/null
+ dd if=./${BUILD_FILE} of=./bl31_back ibs=112 obs=112 conv=notrunc oflag=append skip=1 status=noxfer 2> /dev/null
+ mv bl31_back ${BUILD_FILE}
+}
+
+
+do_common()
+{
+ if [ "x${BUILD_MODE}" = "xbl31" ] ; then
+ echo " add commit info for bl31 "
+ build_bl31
+ else
+ echo "build none"
+ fi
+}
+while getopts f:m: OPTION
+do
+ case $OPTION in
+ f)
+ BUILD_FILE=$OPTARG
+ ;;
+ m)
+ BUILD_MODE=$OPTARG
+ ;;
+ *)
+ show_help
+ exit
+ ;;
+ esac
+done
+
+do_common
diff --git a/tools/fip_create/Makefile b/tools/fip_create/Makefile
index 69569a1..1ffb62f 100644
--- a/tools/fip_create/Makefile
+++ b/tools/fip_create/Makefile
@@ -31,6 +31,8 @@
PROJECT = fip_create
OBJECTS = fip_create.o
+
+
CFLAGS = -Wall -Werror -pedantic -std=c99
ifeq (${DEBUG},1)
CFLAGS += -g -O0 -DDEBUG
@@ -51,7 +53,7 @@ all: ${PROJECT}
${PROJECT}: ${OBJECTS} Makefile
@echo " LD $@"
- ${Q}${CC} ${OBJECTS} -o $@
+ ${Q}${CC} ${OBJECTS} -o $@ -static
%.o: %.c %.h Makefile
@echo " CC $<"